player_gripper_data Struct Reference

Data: state (PLAYER_GRIPPER_DATA_STATE) More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | state
| The gripper's state.
uint32_t | beams
| The position of the object in the gripper.
uint8_t | stored
| Number of currently stored objects.

## Detailed Description

Data: state (PLAYER_GRIPPER_DATA_STATE)

The `gripper` interface returns the current state of the gripper and information on a potential object in the gripper. state may be PLAYER_GRIPPER_STATE_OPEN, PLAYER_GRIPPER_STATE_CLOSED, PLAYER_GRIPPER_STAGE_MOVING or PLAYER_GRIPPER_STATE_ERROR. beams provides information on how far into the gripper an object is. For most grippers, this will be a bit mask, with each bit representing whether a beam has been interrupted or not.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45